<div class="m-3">
  <div class="card">
    <div class="card-header"><h3 class="badge rounded-pill bg-danger">{{formIndex + 1}}</h3></div>
    <div class="card-content">
      <div *ngIf="invalid" class="alert alert-danger m-4">Attention, le formulaire n'est pas valide.</div>
      <div class="row">
        <div class="col-md-6">
          <form [formGroup]="formGroups.formGroup">
            <h3 class="text-center">‍🎓 Etudiant</h3>
            <div class="p-3">
              <div class="mb-3">
                <label [for]="'email' + formIndex" class="form-label">Adresse mail</label>
                <input formControlName="email" type="email" class="form-control" [id]="'email' + formIndex">
              </div>
              <div class="mb-3">
                <label [for]="'password' + formIndex" class="form-label">Password</label>
                <input formControlName="password" type="text" class="form-control" [id]="'password' + formIndex">
              </div>
              <div class="mb-3">
                <label [for]="'firstname' + formIndex" class="form-label">Firstname</label>
                <input formControlName="firstname" type="text" class="form-control" [id]="'firstname' + formIndex" (change)="handleChange()">
              </div>
              <div class="mb-3">
                <label [for]="'lastname' + formIndex" class="form-label">Lastname</label>
                <input formControlName="lastname" type="text" class="form-control" [id]="'lastname' + formIndex">
              </div>
              <div class="mb-3 form-check">
                <input formControlName="active" checked type="checkbox" class="form-check-input" [id]="'active' + formIndex">
                <label class="form-check-label" [for]="'active' + formIndex">Actif</label>
              </div>
            </div>
          </form>
        </div>
        <div class="col-md-6">
          <form [formGroup]="formGroups.trainerFormGroup">
            <h3 class="text-center">👨 Maître d'apprentissage</h3>
            <div class="p-3">
              <div class="mb-3">
                <label [for]="'email' + formIndex" class="form-label">Adresse mail</label>
                <input formControlName="email" type="email" class="form-control" [id]="'email' + formIndex">
              </div>
              <div class="mb-3">
                <label [for]="'password' + formIndex" class="form-label">Password</label>
                <input formControlName="password" type="text" class="form-control" [id]="'password' + formIndex">
              </div>
              <div class="mb-3">
                <label [for]="'firstname' + formIndex" class="form-label">Firstname</label>
                <input formControlName="firstname" type="text" class="form-control" [id]="'firstname' + formIndex" (change)="handleChange()">
              </div>
              <div class="mb-3">
                <label [for]="'lastname' + formIndex" class="form-label">Lastname</label>
                <input formControlName="lastname" type="text" class="form-control" [id]="'lastname' + formIndex">
              </div>
              <div class="mb-3 form-check">
                <input formControlName="active" checked type="checkbox" class="form-check-input" [id]="'active' + formIndex">
                <label class="form-check-label" [for]="'active' + formIndex">Actif</label>
              </div>
            </div>
          </form>
        </div>
      </div>
      <hr>
      <div class="row">
        <div class="col-12">
          <form class="p-3" [formGroup]="formGroups.companyFormGroup">
            <h3 class="text-center">🏢 Entreprise</h3>
            <div class="mb-3">
              <label [for]="'companyName' + formIndex">Nom</label>
              <input [id]="'companyName' + formIndex" type="text" class="form-control" formControlName="name">
            </div>
            <div class="mb-3">
              <label [for]="'companySiret' + formIndex">SIRET</label>
              <input [id]="'companySiret' + formIndex" type="text" class="form-control" formControlName="siret">
            </div>
            <div class="mb-3">
              <label [for]="'companyAddress' + formIndex">Adresse</label>
              <input [id]="'companyAddress' + formIndex" type="text" class="form-control" formControlName="address">
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="card-footer">
      <button class="btn btn-danger" (click)="handleDelete()">Supprimer</button>
    </div>
  </div>
</div>
